{: test a compilation error occurs if not all parameters in a group
   share the same type }

{$d+}
program e112( output );

type
   smallInt =  1..10;

var
   aci, aci1 : array['1'..'9'] of integer;
   aci2      : array['1'..'9'] of integer;

   aii : array[1..9] of integer;

procedure test(aa1, aa2: array[lo..hi :char ] of integer);
var
   z   : char;
begin
   z := lo;
   aa1[z] := 3;
   aa2[lo] := 3;
end;

begin {e112}

   test(aci,aci1);    { OK }
   test(aci, aci2);   { !!! 2nd param has different type }
   writeln( 'fails: conformant array group type error not detected' );

end. { e112 }

